Skip to main content

Scan several known hosts

POST 

/api/v1/HostScanJob/ByHostIdMultiple

Schedules a scan for each host ID in the list and returns the status of the scan jobs that were created. Hosts that cannot be scheduled, such as unknown hosts or hosts without a service account, are left out of the response without an error.

Permission required: Admin or App role.

Values for status: -4 = Paused, -3 = Scheduled, -2 = Unknown, -1 = Pending, 0 = Queued, 1 = Running, 2 = Complete, 3 = Failed, 4 = Cancelled, 5 = CompletedWithErrors, 6 = CompletedNotRun.

Request​

Responses​

A list of scan job statuses, one for each host that was scheduled.